/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
@import "common_colors";
@import "common_sizes";
@import "badges";

.desk-layout {
  width: 11.5em;
  height: 11.625em;
  opacity: 1;
  overflow: hidden;
}

@media (min-width: $screen-lg-min) {
  .desk-layout {
    width: 12.5em;
  }
}


.search-input {
  flex: 0 0 30rem;
}

.select-desks-top-line {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-end;

  .horizontal-spacer {
    flex: 1;
  }

  .ls-toggle-btn-group {
    color: $primary-color;
  }

  .display-mode-text {
    color: $primary-color;
    margin-right: 0.5em;
  }
}

.desk-text-container {
  // Text ellipsis on multiline text, here on second line
  overflow-wrap: break-word;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;

  max-height: 3em;

  font: Regular 13px/14px Ubuntu;
  letter-spacing: 0;
  opacity: 1;
  overflow: hidden;
}


.list-tenant-container {
  border: none;
  //box-shadow: 0 0 0.5rem rgba(0, 0, 0, 0.35);


  .list-tenant {
    //border: 1px solid $primary-color;
    //background-color: $primary-color;
    //color: white;

    font-weight: bold;
    font-size: 1.2rem;

    cursor: pointer;
    background-color: white;

    &:nth-child(even) {
      background-color: map_get($colors, "ls-primary-200");
    }

    &:not(.expanded) {
      //border: 2px solid $primary-color;
      border: none;
      //background-color: white;
      color: $primary-color;
    }
  }
}

.pagination-block {
  display: flex;
  flex-direction: row;
  align-items: center;

  ::ng-deep ngb-pagination {
    ul.pagination {
      margin-bottom: 0;
    }
  }

}


.folder-count-badges {
  color: #222222;

  & > button.badge {
    font-size: 14px;
    min-width: 1.5em;
  }
}

.vertical-separator {
  flex-grow: 0;
  height: 2rem;
  margin: 0 0.25em 0.5em 0.75em;
  border-right: 2px solid map-get($ls-color-map, "ls-grey-200");

}

.left-padding {
  padding-left: 2rem;
  display: inline-block;
}
